#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 hoogle
version:              5.0.18.4
visibility:           public
id:                   hoogle-5.0.18.4-EeTKX680GcGVJu9z4sg3I
key:                  hoogle-5.0.18.4-EeTKX680GcGVJu9z4sg3I
license:              BSD-3-Clause
copyright:            Neil Mitchell 2004-2024
maintainer:           Neil Mitchell <ndmitchell@gmail.com>
author:               Neil Mitchell <ndmitchell@gmail.com>
homepage:             https://hoogle.haskell.org/
synopsis:             Haskell API Search
description:
    Hoogle is a Haskell API search engine, which allows you to
    search many standard Haskell libraries by either function name,
    or by approximate type signature.

category:             Development
abi:                  f09fcbd5ad2f8b0eb3df190acb216228
exposed:              True
exposed-modules:      Hoogle
hidden-modules:
    Paths_hoogle Action.CmdLine Action.Generate Action.Search
    Action.Server Action.Test Input.Cabal Input.Download Input.Haddock
    Input.Item Input.Reorder Input.Set Input.Settings Output.Items
    Output.Names Output.Tags Output.Types Query General.Conduit
    General.IString General.Log General.Store General.Str
    General.Template General.Timing General.Util General.Web

import-dirs:          /usr/lib/ghc-9.2.8/site-local/hoogle-5.0.18.4
library-dirs:         /usr/lib/ghc-9.2.8/site-local/hoogle-5.0.18.4
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/hoogle
hs-libraries:         HShoogle-5.0.18.4-EeTKX680GcGVJu9z4sg3I
include-dirs:         /usr/lib/ghc-9.2.8/site-local/hoogle-5.0.18.4/include
includes:             include.h
depends:
    QuickCheck-2.14.3-CvWQbKfd69DCzXp74S1iTC
    aeson-2.1.2.1-JfeHvfgWyvGEUkRmM0msk9 base-4.16.4.0 binary-0.8.9.0
    blaze-html-0.9.1.2-Ljw9nfWwmJnGO9UWJv478Z
    blaze-markup-0.8.3.0-5oCxEH5v6c49Kf2B6qiZB8 bytestring-0.11.4.0
    cmdargs-0.10.22-JQ4ivQZzeRmKKTWVSPDfjg
    conduit-1.3.5-HXs4AdPuPoS3mOCuRqEqi4
    conduit-extra-1.3.6-4FgEqLN1hl7JIrs7IoIpue containers-0.6.5.1
    crypton-connection-0.3.2-AiLIReqiJrmHltLFsWaDuX deepseq-1.4.6.1
    directory-1.3.6.2 extra-1.7.15-D0L0oAS7xGa5EyBG4sDkrp
    filepath-1.4.2.2 foundation-0.0.30-HGERhRs5JCDILoHDx95jS
    hashable-1.4.4.0-Joosdm9EPsstoXhsVunPQ
    haskell-src-exts-1.23.1-8PbOqgcZbUgHyi9dZVDRl6
    http-conduit-2.3.8.3-F9Kc2S0u9DX1ATj0HJE1AV
    http-types-0.12.4-LZwC6WNjmF45tX2esSn2Jg
    js-flot-0.8.3-CzHXKBaovyL8SpvVY5AoqF
    js-jquery-3.3.1-Gh5NHLNiry7srAKZP6t2M
    mmap-0.5.9-Ev5kK7GQQYl5y5LE8RvEAs
    old-locale-1.0.0.7-DSFeUNZwxUU2YUIlh1bsq7
    process-extras-0.7.4-51vy8MFh1CDHXgWohcZCKm
    resourcet-1.2.6-ETlqdTi2rsI6tM8Wb7zI8u
    safe-0.3.21-6vX5iZ5iJJx5vecLqZTKv8
    storable-tuple-0.1-HKbMe5xSUEi935C3OBmuAg
    tar-0.5.1.1-23wwtyyFK1pB7RjuuyrmBj template-haskell-2.18.0.0
    text-1.2.5.0 time-1.11.1.1 transformers-0.5.6.2
    uniplate-1.6.13-3WBI2JSXgJFJjO8ZIoMLz8
    utf8-string-1.0.2-CndrelvclEbJyymwdX0DqC
    vector-0.13.1.0-9yg0eXztERcX0p96OKbL
    wai-3.2.4-1O8xZ23ZxXOFWENXsTeOXH
    wai-logger-2.4.0-I7Ft7hqHr9MD8Xd8fNDCvn
    warp-3.3.30-Kljd3lVFCKr6d3RJ5cxmma
    warp-tls-3.4.6-8tEh5HMXn5lphoBuAVeTJ
    zlib-0.6.3.0-297BckKmAx7LBCfD6anHxq

haddock-interfaces:   /usr/share/doc/hoogle/html/hoogle.haddock
haddock-html:         /usr/share/doc/hoogle/html
' | '/usr/bin/ghc-pkg-9.2.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

